IntrospectorTestCase2 (Velocity 1.4 API)
Keywords: org.apache.velocity.test.IntrospectorTestCase2 class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class IntrospectorTestCase2

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.BaseTestCase
                  org.apache.velocity.test.IntrospectorTestCase2

All Implemented Interfaces:
  junit.framework.Test

public class IntrospectorTestCase2
extends BaseTestCase

Test case for the Velocity Introspector which tests the ability to find a 'best match'

Version:
  $Id: IntrospectorTestCase2.java,v 1.1.8.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Geir Magnusson Jr.

Nested Class Summary
`static class` | `IntrospectorTestCase2.Bar`
`static class` | `IntrospectorTestCase2.Foo`
`static class` | `IntrospectorTestCase2.Tester`
`static class` | `IntrospectorTestCase2.Tester2`
`static interface` | `IntrospectorTestCase2.Woogie`

Field Summary

Fields inherited from class org.apache.velocity.test.BaseTestCase
``

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`(package private)` | `IntrospectorTestCase2()`
`` | `IntrospectorTestCase2(java.lang.String name)` Creates a new instance.

Method Summary
`void` | `runTest()`
`static junit.framework.Test` | `suite()` Get the containing `TestSuite`.

Methods inherited from class org.apache.velocity.test.BaseTestCase
`assureResultsDirectoryExists, getFileName, getTestCaseName, isMatch, normalizeNewlines`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntrospectorTestCase2

    IntrospectorTestCase2()

### IntrospectorTestCase2

    public IntrospectorTestCase2(java.lang.String name)

  Creates a new instance.

Method Detail

### suite

    public static junit.framework.Test suite()

  Get the containing `TestSuite`.

  Returns:
    The `TestSuite` to run.

### runTest

    public void runTest()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.